#ifndef ADC_H
#define ADC_H
//********************************************************
//
//ADC.h file
//Author: Kevin Mellott
//
//Date: 9/9/2011
//
//Originally written for Atmega644p 
//*********************************************************

#include <avr/io.h>
#include <util/delay.h>
#include <avr/sleep.h>
#include <avr/interrupt.h>

//typedef unsigned char byte;

extern void initADC(void);
extern void ADC_isBusy(void);
extern void ADC_selChan(unsigned char chan);
extern unsigned short ADC_readChan(unsigned char chan);
extern void ADC_readChan_IRQ(unsigned char chan);

#endif




